#ifndef __HILFS
#define __HILFS

#include <util/delay.h>
#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>


void initAll();
void delay_s(unsigned char n);
void delay_ms(unsigned char t);
void delay_us(unsigned char t);  

#define LCD_pos(x) (LCD_cmd8bit(0x80 | (x & 0x7f)))
#define LCD_clear() LCD_cmd8bit(0x01)

void LCD_cmd8bit(unsigned char c);
void LCD_data8bit(unsigned char c);
void LCD_init8bit(void);
void LCD_write(char *text);
void lcdPrint(int line, int col, char *text);

unsigned short getAdc();
  

#endif
